Subject: RE: [NSIS] Short Review of draft-schulzrinne-nsis-ntlp-00

From: [email-masked]
Date: Thu, 10 Jul 2003 10:47:43 +0300

Hi Henning,

> > That is good - I was a bit worried about an active discovery mechanism
> > that would/could search for off-path nodes, as that is clearly out of
> > scope for the WG:
> 
> The active discovery mechanism specified or envisioned does not stray 
> off-path. (The modularity may enable other mechanisms, including 
> off-path, but that's hopefully not a drawback :-))

Off-path is for future study, so it is not a drawback ...

> > Perhaps that is the source of my concern - there seems not to be
> > enough consideration on bounding this aspect.  More detail is a good
> > think.
> 
> My philosophy is that implementors should be given choices here (without 
> impairing interoperability), since there's an inherent time/space 
> trade-off, with the minimum state being a reasonable one. If that's not 
> ok, please let me know.

I think certain bounding of the problem needs to be captured, if nothing else
than for guidelines for implementors.

> > For example, 2961 has a lot of complexity - one may argue that not all of
> > the features of 2961 are actually needed for NSIS.  However, rolling
> > your own mechanisms in NTLP do accomplish some of what 2961 may be
> > difficult.
> 
> The intent is to have only the most basic mechanism from 2961 
> (hop-by-hop exponential backoff retransmission) and leave everything 
> else as a "hard case". I'm not sure if your statement is agreeing with 
> mine, but I have no intent of re-inventing 2961. 

I am agree agreeing.

> I don't think the 
> subset mentioned is difficult, at least based on our implementation 
> experience (one additional timer per pending session) and that of other 
> bare-bones transport mechanisms (DNS, SLP, RADIUS, etc.) that 
> do roughly  the same thing.

I think that we just need to be a bit more explicit, that is all.

thanks,
John

_______________________________________________
nsis mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nsis